<?php

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

require_once("UniModul.php");

/**
 * install function runs on command 'bin/magento setup:upgrade'
 */

class UniAdapterSetupRecurring implements InstallSchemaInterface
{
    /**
     * {@inheritdoc}
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;
        $installer->startSetup();

		$logger = new UniLogger();
		$dbConfig = $installer->getConnection()->getConfig();
		$dbConnection = new MysqliConnectionShared($dbConfig["host"], $dbConfig["username"], $dbConfig["password"], $dbConfig["dbname"]);
		UniModul::moduleInstallDatabaseStatic($dbConnection, $logger);

        $installer->endSetup();
    }
}
